<template>
  <b-carousel
    :interval="5000"
    :controls="props.controls"
    :indicators="props.indicators"
    background="#ababab"
    img-width="1024"
    img-height="480"
    style="text-shadow: 1px 1px 2px #333"
  >
    <slot name="images" :images="props.images">
      <b-carousel-slide
        v-for="(image, index) in props.images"
        :key="`${image.src}-${index}`"
      >
        <template #img>
          <slot name="image" :image="image">
            <img
              class="d-block w-100"
              width="1024"
              height="480"
              :src="image.src"
              alt="image"
              style="object-fit: contain"
            />
          </slot>
        </template>
      </b-carousel-slide>
    </slot>
  </b-carousel>
</template>

<script setup>
const props = defineProps({
  images: {
    type: Array,
    default: () => [],
  },
  controls: {
    type: Boolean,
    default: false,
  },
  indicators: {
    type: Boolean,
    default: false,
  },
})
</script>
